part of 'generated.dart';

class DeleteRecentPaymentVariablesBuilder {
  String id;

  final FirebaseDataConnect _dataConnect;
  DeleteRecentPaymentVariablesBuilder(this._dataConnect, {required  this.id,});
  Deserializer<DeleteRecentPaymentData> dataDeserializer = (dynamic json)  => DeleteRecentPaymentData.fromJson(jsonDecode(json));
  Serializer<DeleteRecentPaymentVariables> varsSerializer = (DeleteRecentPaymentVariables vars) => jsonEncode(vars.toJson());
  Future<OperationResult<DeleteRecentPaymentData, DeleteRecentPaymentVariables>> execute() {
    return ref().execute();
  }

  MutationRef<DeleteRecentPaymentData, DeleteRecentPaymentVariables> ref() {
    DeleteRecentPaymentVariables vars= DeleteRecentPaymentVariables(id: id,);
    return _dataConnect.mutation("deleteRecentPayment", dataDeserializer, varsSerializer, vars);
  }
}

@immutable
class DeleteRecentPaymentRecentPaymentDelete {
  final String id;
  DeleteRecentPaymentRecentPaymentDelete.fromJson(dynamic json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteRecentPaymentRecentPaymentDelete otherTyped = other as DeleteRecentPaymentRecentPaymentDelete;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeleteRecentPaymentRecentPaymentDelete({
    required this.id,
  });
}

@immutable
class DeleteRecentPaymentData {
  final DeleteRecentPaymentRecentPaymentDelete? recentPayment_delete;
  DeleteRecentPaymentData.fromJson(dynamic json):
  
  recentPayment_delete = json['recentPayment_delete'] == null ? null : DeleteRecentPaymentRecentPaymentDelete.fromJson(json['recentPayment_delete']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteRecentPaymentData otherTyped = other as DeleteRecentPaymentData;
    return recentPayment_delete == otherTyped.recentPayment_delete;
    
  }
  @override
  int get hashCode => recentPayment_delete.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    if (recentPayment_delete != null) {
      json['recentPayment_delete'] = recentPayment_delete!.toJson();
    }
    return json;
  }

  DeleteRecentPaymentData({
    this.recentPayment_delete,
  });
}

@immutable
class DeleteRecentPaymentVariables {
  final String id;
  @Deprecated('fromJson is deprecated for Variable classes as they are no longer required for deserialization.')
  DeleteRecentPaymentVariables.fromJson(Map<String, dynamic> json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteRecentPaymentVariables otherTyped = other as DeleteRecentPaymentVariables;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeleteRecentPaymentVariables({
    required this.id,
  });
}

